Display protection status in list of transcluded pages
Closed, ResolvedPublic

Description

Author: ligulem

Description:
On en.wikipedia.org template vandalism is well known and vandals get better at
finding interesting templates. A well established countermeasure is to protect
templates, especially for those transcluded into articles linked from the main page.

Checking the protection status of the pages transcluded into a page would be
easier if the protection level would be displayed in the list of transcluded
pages in edit mode.

I suggest to add the text "(protected)" or "(semi-protected)" next to protected
entries in the list of transcluded pages. Not protected pages would have no
addition.

Credit: Original idea is by [[en:user:CBDunkerson]]
[http://en.wikipedia.org/w/index.php?title=Wikipedia%3AAdministrators%27_noticeboard&diff=96553368&oldid=96552503]


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/w/index.php?title=Main_Page&action=edit

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz8392.
bzimport created this task.Via LegacyDec 26 2006, 3:22 PM
bzimport added a comment.Via ConduitDec 27 2006, 7:52 AM

fyrenmoo wrote:

Does this.

Uses MediaWiki:Protected and MediaWiki:Semiprotected for what to display next
to the template name.

attachment patch.prottmpl ignored as obsolete

bzimport added a comment.Via ConduitDec 27 2006, 9:38 AM

fyrenmoo wrote:

Comment on attachment 2966
Does this.

My patch is wrong, I'll re-do it later.

bzimport added a comment.Via ConduitDec 30 2006, 7:57 AM

fyrenmoo wrote:

Re-does this.

This does not check recursively (that is, articles listed show their own
protection status but may themselves include articles with different/no
protection).

attachment patch.tempprot ignored as obsolete

brion added a comment.Via ConduitDec 30 2006, 8:14 AM

Seems to be missing language file updates?

bzimport added a comment.Via ConduitDec 30 2006, 8:15 AM

fyrenmoo wrote:

Argh.

attachment patch.tempprot ignored as obsolete

bzimport added a comment.Via ConduitDec 30 2006, 8:28 AM

fyrenmoo wrote:

Argh^2.

This time it has the message file diff in it. I swear.

Attached: patch.tempprot

brion added a comment.Via ConduitDec 31 2006, 1:36 AM

Applied in r18682, with messages renamed for clarity.

In theory it might be better to generalize which levels it checks for, but this
should do for now.

bzimport added a comment.Via ConduitDec 31 2006, 9:46 AM

ligulem wrote:

(In reply to comment #7 by Brion)

Applied in r18682, with messages renamed for clarity.

In theory it might be better to generalize which levels it checks for, but this
should do for now.

Wow. That was a fast track! Thanks a lot to everybody who worked on this.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.